Bug 200923 - sendmail.mc missing dnl on SMART_HOST define
Summary: sendmail.mc missing dnl on SMART_HOST define
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On: 166680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-01 16:25 UTC by Thomas Woerner
Modified: 2008-12-11 18:18 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0252
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:13:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0252 normal SHIPPED_LIVE Low: sendmail security and bug fix update 2007-05-01 17:11:07 UTC

Description Thomas Woerner 2006-08-01 16:25:45 UTC
+++ This bug was initially created as a clone of Bug #166680 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10)
Gecko/20050716 Firefox/1.0.6

Description of problem:
Unsuccessfully attempted to set up a SMART_HOST directive on a host with no DNS
access using the supplied RedHat sendmail.mc.  After several days of
troubleshooting, I realized that the define line in the supplied RedHat
sendmail.mc was missing the final dnl for the line, causing the compiled
sendmail.cf to be improperly formed.  The line in question is:

dnl # Uncomment and edit the following line if your outgoing mail needs to
dnl # be sent out through an external mail server:
dnl #
dnl define(`SMART_HOST',`smtp.your.provider')

This final line needs to be distributed as:
dnl define(`SMART_HOST',`smtp.your.provider') dnl


Version-Release number of selected component (if applicable):
sendmail-8.12.11-4.RHEL3.1

How reproducible:
Always

Steps to Reproduce:
1.  Install sendmail
2.  Uncomment SMART_HOST directive and edit mailserver
3.  Start sendmail and send mail to off-host address.
  

Actual Results:  Mail delivery fails with host lookup deferred.

Expected Results:  Mail delivered via relay defined in SMART_HOST directive.

Additional info:

Comment 1 RHEL Product and Program Management 2006-08-18 14:51:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Red Hat Bugzilla 2007-05-01 17:13:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0252.html



Note You need to log in before you can comment on or make changes to this bug.